ExposureValues.SpecularExclusion

com.hsm.barcode

## Class ExposureValues.SpecularExclusion

- java.lang.Object
- - com.hsm.barcode.ExposureValues.SpecularExclusion

- Enclosing class:
    ExposureValues

  Deprecated.
  SpecularExclusion class that defines the specular exclusion setting in the ExposureSettings class that will be used during image capture.

      public final class ExposureValues.SpecularExclusion
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AGGRESSIVE` Deprecated. Specular will be removed aggressively.
    `static int` | `MINIMAL` Deprecated. Specular will be removed minimally.
    `static int` | `MODERATE` Deprecated. Specular will be removed moderately.
    `static int` | `OFF` Deprecated. No specular will be removed.
    `static int` | `SPECIAL` Deprecated. Do not use

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpecularExclusion()` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OFF

          public static final int OFF

      Deprecated.
      No specular will be removed.
      See Also:
        Constant Field Values

    - #### MINIMAL

          public static final int MINIMAL

      Deprecated.
      Specular will be removed minimally.
      See Also:
        Constant Field Values

    - #### MODERATE

          public static final int MODERATE

      Deprecated.
      Specular will be removed moderately.
      See Also:
        Constant Field Values

    - #### AGGRESSIVE

          public static final int AGGRESSIVE

      Deprecated.
      Specular will be removed aggressively.
      See Also:
        Constant Field Values

    - #### SPECIAL

          public static final int SPECIAL

      Deprecated.
      Do not use
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SpecularExclusion

          public SpecularExclusion()

      Deprecated.